Page MenuHomeFreeBSD

Add Quarterly Status Report for 2018Q3.
ClosedPublic

Authored by trasz on Dec 23 2018, 4:40 PM.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

trasz created this revision.Dec 23 2018, 4:40 PM
allanjude added inline comments.Dec 23 2018, 6:03 PM
en_US.ISO8859-1/htdocs/news/status/report-2018-01-2018-09.xml
45 ↗(On Diff #52262)

It looks like we never issued the 2017-10 - 2017-12 report, and there was very little in it

https://www.freebsd.org/news/status/report-2017-10-2017-12.html

Should this file be named 2017-10-2018-09.xml ?

171 ↗(On Diff #52262)

this markup in the middle of the paragraph seems off

419 ↗(On Diff #52262)

Should these be headings?

612 ↗(On Diff #52262)

missing link

2260 ↗(On Diff #52262)

more forgiving than was

2296 ↗(On Diff #52262)

I might be worth expanding MI or even saying 'architecture independent'

bcr added a comment.Dec 23 2018, 6:50 PM

I've just finished reading through the whole thing.
First, a big thanks for working on resurrecting the status reports and bringing it to this state!

I've only a small list of minor things collected here, which should be easy to fix.

en_US.ISO8859-1/htdocs/news/status/report-2018-01-2018-09.xml
215 ↗(On Diff #52262)

s/management/Management/
(it's capitalized in the entry below)

331 ↗(On Diff #52262)

s/automatically be built/automatically built/

405 ↗(On Diff #52262)

You can write text directly after the <p> tag, no need to keep it on a line of its own.

472 ↗(On Diff #52262)

This could easily be one line: <p>2018 Q2</p>

534 ↗(On Diff #52262)

Is this one really necessary?

612 ↗(On Diff #52262)

There is no link here at (here). I'd just remove it or find the original link (blog post?).

614 ↗(On Diff #52262)

The colon (:) can be removed here.

655 ↗(On Diff #52262)

s/Arm/ARM/ (acronym)

719 ↗(On Diff #52262)

The comma here can go.

931 ↗(On Diff #52262)

Leftover? These can go...

1035 ↗(On Diff #52262)

Another one bites the dust...

1153 ↗(On Diff #52262)

I think the dash between "On" and "top" here is not needed.

1389 ↗(On Diff #52262)

The "is" here is superfluous.

1546 ↗(On Diff #52262)

s/Works/Work/

2684 ↗(On Diff #52262)

s/compile/compiled/

3030 ↗(On Diff #52262)

s/Further/Further,/

3121 ↗(On Diff #52262)

s/using web browser/using a web browser/

3152 ↗(On Diff #52262)

s/as a candidates/as candidates/

trasz updated this revision to Diff 52266.Dec 23 2018, 9:51 PM
trasz marked 20 inline comments as done.

Fix most issues.

trasz added inline comments.Dec 23 2018, 9:54 PM
en_US.ISO8859-1/htdocs/news/status/report-2018-01-2018-09.xml
45 ↗(On Diff #52262)

Well, tbh it's been described a few times as applying to the past three quarters. I'd rather leave it as it is.

trasz marked an inline comment as done.Dec 23 2018, 9:55 PM
trasz added inline comments.
en_US.ISO8859-1/htdocs/news/status/report-2018-01-2018-09.xml
419 ↗(On Diff #52262)

Those are "level 3 headings", and were marked as "<p>" in the previous report; I've decided to follow that markup for now.

trasz updated this revision to Diff 52267.Dec 23 2018, 9:57 PM
trasz marked an inline comment as done.

Remove some text around the missing link.

bcr accepted this revision.Dec 23 2018, 10:01 PM

I think it is ready enough to be published. Thanks again!

This revision is now accepted and ready to land.Dec 23 2018, 10:01 PM
allanjude accepted this revision.Dec 24 2018, 12:13 AM
This revision was automatically updated to reflect the committed changes.